// GetSensorInfoDlg.h : header file
//

#if !defined(AFX_GETSENSORINFODLG_H__F3B7C089_98BD_451F_A601_873A0224E198__INCLUDED_)
#define AFX_GETSENSORINFODLG_H__F3B7C089_98BD_451F_A601_873A0224E198__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VAIBO.h"
#include "VAIBODef.h"

/////////////////////////////////////////////////////////////////////////////
// CGetSensorInfoDlg dialog

class CGetSensorInfoDlg : public CDialog
{
// Construction
public:
	CGetSensorInfoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CGetSensorInfoDlg)
	enum { IDD = IDD_GETSENSORINFO_DIALOG };
	CSliderCtrl	m_sliderSkip;
	CIPAddressCtrl	m_ipAddress;
	CString	m_sSkip;
	CString	m_sHeadPan;
	CString	m_sHeadTilt1;
	CString	m_sHeadTilt2;
	CString	m_sLFJ1;
	CString	m_sLFJ2;
	CString	m_sLFJ3;
	CString	m_sLRJ2;
	CString	m_sLRJ1;
	CString	m_sLRJ3;
	CString	m_sMouth;
	CString	m_sRFJ1;
	CString	m_sRFJ2;
	CString	m_sRFJ3;
	CString	m_sRRJ1;
	CString	m_sRRJ2;
	CString	m_sRRJ3;
	CString	m_sTail1;
	CString	m_sTail2;
	CString	m_sAcc1;
	CString	m_sAcc2;
	CString	m_sAcc3;
	CString	m_sBackSW1;
	CString	m_sBackSW2;
	CString	m_sBackSW3;
	CString	m_sChin;
	CString	m_sHead;
	CString	m_sLEar;
	CString	m_sREar;
	CString	m_sPSDXY;
	CString	m_sPSDXYF;
	CString	m_sPSDXYFN;
	CString	m_sPSDXYN;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetSensorInfoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CGetSensorInfoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnConnect();
	afx_msg void OnBtnStart();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnDestroy();
	afx_msg void OnBtnRemote();
	afx_msg void OnBtnInternal();
	//}}AFX_MSG
	//AIBO Remote Framework message map functions
	afx_msg LRESULT OnVAIBOConnect( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnVAIBOConnectUpdate( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnVAIBODisconnect( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnVAIBOSensorData( WPARAM numOfData, LPARAM recArray );
	afx_msg LRESULT OnVAIBOSensorEnable( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnVAIBOSensorDisable( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnVAIBORemoteNotify( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnVAIBOSemantics( WPARAM wParam, LPARAM lParam );

	DECLARE_MESSAGE_MAP()

public:
	CVAIBO *m_pVAibo;		// Virtual AIBO class

protected:
	int m_nAiboID;			// AIBO ID
	BOOL m_bConnected;		// Connection flag
	BOOL m_bSentpSending;	// Sending SensorTP data flag
	BOOL m_myRequest;		// coonect/disconnect messages is my request
	BOOL m_bControl;		// Is remote or not
	BOOL m_bNetServiceSensorEnable; // NetServiceSensor enable or not 
	BOOL m_bSensorTransferStart;    // Sensor data translation is started or not
	BOOL m_bSetSkipRate;	// Sensor translation skip rate has been set or not

	CButton& buttonConnect()  { return *(CButton*) GetDlgItem( IDC_BTN_CONNECT ); };
	CButton& buttonRemote()   { return *(CButton*) GetDlgItem( IDC_BTN_REMOTE ); };
	CButton& buttonStart()    { return *(CButton*) GetDlgItem( IDC_BTN_START ); };
	CButton& buttonInternal() { return *(CButton*) GetDlgItem( IDC_BTN_INTERNAL ); };
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETSENSORINFODLG_H__F3B7C089_98BD_451F_A601_873A0224E198__INCLUDED_)
