#if !defined(AFX_TTSDLG_H__3210EE4B_49AF_46E3_9F13_77B89F61D7A7__INCLUDED_)
#define AFX_TTSDLG_H__3210EE4B_49AF_46E3_9F13_77B89F61D7A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TTSDlg.h : 
//

#include "VAIBO.h"

/////////////////////////////////////////////////////////////////////////////
// CTTSDlg dialog

class	CVAIBOTTS;

class	CTTSLexiconDlg;

class CTTSDlg : public CDialog
{
// construction
public:
	CTTSDlg(CVAIBO* vaibo, CWnd* pParent = NULL);   // standard constructor

// dialog data
	//{{AFX_DATA(CTTSDlg)
	enum { IDD = IDD_DIALOG_TTS };
	CComboBox	m_ComboEngine;
	CComboBox	m_ComboFormat;
	CSliderCtrl	m_sliderVolume;
	CSliderCtrl	m_sliderSpeed;
	CSliderCtrl	m_sliderPitch;
	CSliderCtrl	m_sliderAccent;
	CEdit	m_editText;
	CEdit	m_editText2;
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CTTSDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

//  Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTTSDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnButtonSpeak();
	afx_msg void OnButtonSpeak2();
	afx_msg void OnButtonSave();
	afx_msg void OnButtonSave2();
	afx_msg void OnButtonAiboSpeak();
	afx_msg void OnButtonAiboSpeak2();
	afx_msg void OnButtonLexiconSonyTTS();
	afx_msg void OnButtonLexiconSAPI_J();
	afx_msg void OnButtonLexiconSAPI_E();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSelchangeComboEngine();
	afx_msg void OnSelchangeComboFormat();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	void	NotifyPlayWave( int status );

private:

	CVAIBO*			m_vaibo;
	CTTSLexiconDlg*	m_pDlgLexicon;

	CVAIBOTTS*	m_pTTS;

	bool		m_isSendFTP;
	bool		m_isPlayWave;

	void	AiboSpeak( CString strEdit );
	void	DisplayLexicon( int eLexicon );
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_TTSDLG_H__3210EE4B_49AF_46E3_9F13_77B89F61D7A7__INCLUDED_)
